Loading...
Searching...
No Matches
Magick::commentImage Class Reference

## Public Member Functions

| commentImage (const std::string &comment_)
void | operator() (Image &image_) const

## Private Attributes

std::string | _comment

## Detailed Description

Definition at line 265 of file STL.h.

## Constructor & Destructor Documentation

## commentImage()

Magick::commentImage::commentImage | ( | const std::string & | comment_ | ) |

Definition at line 227 of file STL.cpp.

: _comment( comment_ )
{
}

## Member Function Documentation

## operator()()

void Magick::commentImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 231 of file STL.cpp.

{
image_.comment( _comment );
}

## Field Documentation

## _comment

std::string Magick::commentImage::_comment

private

Definition at line 273 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp